#!/bin/bash

function notfound(){
	echo HTTP/1.1 404 OK
	echo Content-Type: text/plain; charset=ISO-8859-1
	echo
	echo Sorry, 404 for $1
	echo 
	echo
}
function ok_header(){
	if [ "$1" == "" ]; then
		CONTENT_TYPE="text/plain"
	else
		CONTENT_TYPE=$1
	fi
	echo HTTP/1.1 200 OK
	echo Content-Type: $1; charset=ISO-8859-1
	echo
}

URI=foo

URI=$(grep --max-count=1 GET |cut -d ' ' -f 2)

case $URI in
	/text/herelist)
		ok_header text/plain
		cat herelist
		exit 0
		;;
	
	/xmlrpc/)
		ok_header text/xml
		echo '<?xml version="1.0"?>
<methodResponse>
  <params>
    <param>
      <value>
	<array>
	  <data>'
		cat herelist | while read line; do 
			echo '<value><string>'"$line"'</string></value>'
		done
		echo '
	  </data>
	</array>
       </value>
    </param>
  </params>
</methodResponse>
		'
		exit 0
		;;
	*)
		notfound $URI
		exit 0
		;;
esac
exit 1


