#!/bin/bash

source config.sh

LOGFILE="$1"

if [ "" = "$LOGFILE" ]; then
	echo $0 '<logfile>'
	exit 1
fi

tail -s 0.3 -n 0 -f "$LOGFILE" | 
grep --line-buffered "configuration #[0-9]* chosen" -E --max-count=1 | 
while read line; 
do
	DEVICE=""
	$LSUSB | cut -c 24-33 | grep -v 0000:0000 | 
	while read line; do
		DEVICE=$( \
			$LSUSB -d $line -v 2>/dev/null | 
			grep "id?(Serial|Product|Manufactorer|Vendor)" -Ei |
			sha1sum |
			grep -Eo '[0-9a-f]*' 
		)
		date +%s > $DEVICE
		echo $DEVICE
		exit 0
	done
done 

exit 1

